Bug Hunting Session
Bug 58671 - Remove accelerators of "~Change Case" from Undo/Redo dropdown list
Summary: Remove accelerators of "~Change Case" from Undo/Redo dropdown list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: x86-64 (AMD64) Windows (All)
: lowest trivial
Assignee: Korrawit Pruegsanusak
URL:
Whiteboard: target:4.1.0 target:4.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 05:30 UTC by Korrawit Pruegsanusak
Modified: 2013-01-09 11:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
screenshot - notice the "~" in red circle (4.93 KB, image/png)
2012-12-23 05:30 UTC, Korrawit Pruegsanusak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Korrawit Pruegsanusak 2012-12-23 05:30:04 UTC
Created attachment 72016 [details]
screenshot - notice the "~" in red circle

Task: Remove accelerators (the grave accent "~" ) of "~Change Case" from Undo / Redo dropdown list

Steps:
1. Open Writer
2. Type qwerty
3. Move the cursor inside the string - such as between 'w' and 'e' as follows: qw|erty
4. Format > Change Case > UPPERCASE
5. Click on Undo dropdown list (see screenshot)

Expected: "Change Case" without "~"
Actual: "~Change Case"
Comment 1 Korrawit Pruegsanusak 2012-12-23 05:37:03 UTC
Taking this bug.

For a record, we have 5 localize-able "Change Case" [1] as follows:

1. /core/editeng/source/editeng/editeng.src 	64 Text [ en-US ] = "~Change Case";
impress > click in textbox > type > move cursor to middle of word > right click > change case > toggle case > (now dragged automatically) > see undo/redo dropdown list and tooltip
same in draw and calc

2. /core/sw/source/core/undo/undo.src 	270 Text [ en-US ] = "~Change Case";
writer > undo/redo dropdown list and tooltip

3. /core/svx/inc/globlmn_tmpl.hrc 	512 Text [ en-US ] = "~Change Case";\
writer > right click > change case
impress > right click > change case
draw > right click > change case

4. /core/sc/source/ui/src/globstr.src 	357 Text [ en-US ] = "~Change Case";
calc > undo/redo dropdown list and tooltip
only when no cursor (ie. cell selected) and format > change case
if inside cell (ie. has cursor) - get change case #1

5. /core/officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu 	5353 <value xml:lang="en-US">~Change Case</value>
writer > format > change case
calc > format > change case
impress > format > change case
draw > format > change case

So, we need to change #1, #2 and #4.

[1] https://translations.documentfoundation.org/en_GB/libo_ui/translate.html#search=change%20case&sfields=source
Comment 2 Korrawit Pruegsanusak 2012-12-23 05:59:30 UTC
Patch submitted at https://gerrit.libreoffice.org/1473
Comment 3 Not Assigned 2013-01-06 15:07:34 UTC
Korrawit Pruegsanusak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93a9e52dccf15b53fc1935145df24306e3a4fc3e

fdo#58671: Remove accelerators from Undo action texts



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Ivan Timofeev (retired) 2013-01-06 15:09:40 UTC
Great analysis, I have pushed the patch. Thanks! ;)
Comment 5 Not Assigned 2013-01-08 16:11:25 UTC
Korrawit Pruegsanusak committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a98ce31ef2018812f24c2a397ed42ca01e2bb7f1&h=libreoffice-4-0

fdo#58671: Remove accelerators from Undo action texts


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Korrawit Pruegsanusak 2013-01-09 11:55:03 UTC
Thanks Ivan and Petr for reviewing :) Mark as Fixed.